<?php
/**
* @package com_speventum
* @author JoomShaper http://www.joomshaper.com
* @copyright Copyright (c) 2010 - 2021 JoomShaper
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
*/

// No Direct Access
defined ('_JEXEC') or die('Restricted Access');

use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;

$doc = Factory::getDocument();
HTMLHelper::_('behavior.formvalidator');
HTMLHelper::_('behavior.keepalive');
if (SpeventumHelper::getVersion() < 4)
{
	HTMLHelper::_('formbehavior.chosen','select',null,array('disable_search_threshold' => 0));
}
?>

<form action="<?php echo Route::_('index.php?option=com_speventum&view=session&layout=edit&id=' . (int) $this->item->id); ?>" name="adminForm" id="adminForm" method="post" class="form-validate">
	<?php if (!empty($this->sidebar)) { ?>
    <div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
    </div>
    <div id="j-main-container" class="span10" >
		<?php } else { ?>
            <div id="j-main-container"></div>
		<?php } ?>
	<div class="form-horizontal">
		<div class="row-fluid">
			<div class="span12">
				<?php echo $this->form->renderFieldset('basic'); ?>
			</div>
		</div>
	</div>

	<input type="hidden" name="task" value="session.edit" />
	<?php echo HTMLHelper::_('form.token'); ?>
	</div>
</form>

	
