
<?php
/**
* @package com_speventum
* @author JoomShaper http://www.joomshaper.com
* @copyright Copyright (c) 2010 - 2021 JoomShaper
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
*/

// No Direct Access
defined ('_JEXEC') or die('Resticted Aceess');

use Joomla\CMS\Factory;
use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\Component\ComponentHelper;

class SpeventumViewSpeakers extends HtmlView
{

    protected $items; 
	protected $pagination;

    public function display($tpl = null)
    {
		$this->items		= $this->get('Items');
		$this->pagination	= $this->get('Pagination');

        $this->cParams 			= ComponentHelper::getParams('com_speventum');
		$this->model 			= $this->getModel();
		$this->keyonte_speakers = $this->model->getKeynoteSpeakers();
		

		// Get Params
		$app 	= Factory::getApplication();
		$this->params = $app->getMenu()->getActive()->getParams(); // get the active item

		$this->show_kspeakrs = $this->params->get('show_kspekaers', 1);

		// Generate Item Meta
		if(!empty($this->items)) {
			$itemMeta = array();
			//$itemMeta['image'] = JURI::base() . $this->items[0]->image;
			EventumHelper::itemMeta($itemMeta);
		}

        return parent::display($tpl = null);
    }
}
    
